import { Syringe } from '@antv/g';
export declare const DragndropPluginOptions: Syringe.DefinedToken;
export interface DragndropPluginOptions {
    /**
     * How drops are checked for. The allowed values are:
     * - 'pointer' – the pointer must be over the dropzone (default)
     * - 'center' – the draggable element’s center must be over the dropzone
     * @see https://interactjs.io/docs/dropzone/#accept
     */
    overlap: 'pointer' | 'center';
    /**
     * Since Canvas & Document don't have `draggable` attribute,
     * we need to add an extra option.
     */
    isDocumentDraggable: boolean;
    /**
     * Since Canvas & Document don't have `droppable` attribute,
     * we need to add an extra option.
     */
    isDocumentDroppable: boolean;
    /**
     * Threshold for triggering `dragstart` event in milliseconds.
     */
    dragstartTimeThreshold: number;
    /**
     * Threshold for triggering `dragstart` event in pixels.
     */
    dragstartDistanceThreshold: number;
}
//# sourceMappingURL=tokens.d.ts.map